Skip to main content
PUT
/
environments
/
{environmentId}
/
globalWallet
/
settings
Updates the global wallet settings for the environment
curl --request PUT \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletName": "An example name",
  "popupPageTitle": "An example name",
  "walletIconUrl": "https://website-sample/icon.svg",
  "customCssUrl": "https://website-sample/custom.css",
  "termsOfServiceUrl": "https://website-sample.com",
  "privacyPolicyUrl": "https://website-sample.com",
  "termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
  "customMenuLinks": [
    {
      "label": "An example name",
      "url": "https://website-sample.com"
    }
  ],
  "enableLoginWithExternalWallets": true
}
'
{
  "id": "95b11417-f18f-457f-8804-68e361f9164f",
  "walletName": "An example name",
  "popupPageTitle": "An example name",
  "walletIconUrl": "https://website-sample/icon.svg",
  "customCssUrl": "https://website-sample/custom.css",
  "termsOfServiceUrl": "https://website-sample.com",
  "privacyPolicyUrl": "https://website-sample.com",
  "termsOfServiceAndPrivacyPolicyMarkdown": "This is a markdown example with a **bold** text and a [link](https://website-sample.com)",
  "customMenuLinks": [
    {
      "label": "An example name",
      "url": "https://website-sample.com"
    }
  ],
  "enableLoginWithExternalWallets": true,
  "enabledAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
walletName
string
Maximum string length: 50
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

popupPageTitle
string
Maximum string length: 50
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

walletIconUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.(?:png|svg)$
Example:

"https://website-sample/icon.svg"

customCssUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.css$
Example:

"https://website-sample/custom.css"

termsOfServiceUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

privacyPolicyUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

termsOfServiceAndPrivacyPolicyMarkdown
string
Maximum string length: 1024
Pattern: ^$|^(?!.*&lt;[^&]+&gt;)[a-zA-Z0-9\s\/;:\*\-\(\)\[\]%#@'"\\.,=+\$&]+$
Example:

"This is a markdown example with a **bold** text and a [link](https://website-sample.com)"

enableLoginWithExternalWallets
boolean

Response

Successfully updated global wallet settings

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletName
string
required
Maximum string length: 50
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

popupPageTitle
string
Maximum string length: 50
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

walletIconUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.(?:png|svg)$
Example:

"https://website-sample/icon.svg"

customCssUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/[^\/]*)*\/[^\/]*\.css$
Example:

"https://website-sample/custom.css"

termsOfServiceUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

privacyPolicyUrl
string
Pattern: ^$|^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

termsOfServiceAndPrivacyPolicyMarkdown
string
Maximum string length: 1024
Pattern: ^$|^(?!.*&lt;[^&]+&gt;)[a-zA-Z0-9\s\/;:\*\-\(\)\[\]%#@'"\\.,=+\$&]+$
Example:

"This is a markdown example with a **bold** text and a [link](https://website-sample.com)"

enableLoginWithExternalWallets
boolean
enabledAt
string<date-time> | null

If global wallet is enabled, then this timestamp will be present.